# WOK
TKWOK
WOKBuilder

# WOKBuilder_MSTemplateExtractor Class Reference

`#include <WOKBuilder_MSTemplateExtractor.hxx>`

Inheritance diagram for WOKBuilder_MSTemplateExtractor:

[legend]

## Public Member Functions

Standard_EXPORT | WOKBuilder_MSTemplateExtractor (const Handle(TCollection_HAsciiString)&ashared, const Handle(TColStd_HSequenceOfHAsciiString)&searchlist)
Standard_EXPORT | WOKBuilder_MSTemplateExtractor (const WOKUtils_Param &params)
virtual Standard_EXPORT WOKBuilder_MSActionType | ExtractorID () const
virtual Standard_EXPORT WOKBuilder_MSActionStatus | ExtractionStatus (const Handle(WOKBuilder_MSAction)&anaction)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_MSTemplateExtractor::WOKBuilder_MSTemplateExtractor | ( | const Handle(TCollection_HAsciiString)& | ashared,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | searchlist
| ) |

Standard_EXPORT WOKBuilder_MSTemplateExtractor::WOKBuilder_MSTemplateExtractor | ( | const WOKUtils_Param & | params | ) |

## Member Function Documentation

virtual Standard_EXPORT WOKBuilder_MSActionStatus WOKBuilder_MSTemplateExtractor::ExtractionStatus | ( | const Handle(WOKBuilder_MSAction)& | anaction | ) | `[virtual]`

| Reimplemented from WOKBuilder_MSExtractor.

virtual Standard_EXPORT WOKBuilder_MSActionType WOKBuilder_MSTemplateExtractor::ExtractorID | ( |  | ) | const`[virtual]`

| Implements WOKBuilder_MSExtractor.

Standard_EXPORT const WOKBuilder_MSTemplateExtractor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_MSExtractor.

The documentation for this class was generated from the following file:

- WOKBuilder_MSTemplateExtractor.hxx